package models

import (
	"time"
)

type CmTree struct {
	Id                         int       `xorm:"not null pk autoincr comment('自增ID') INT(11)"`
	Name                       string    `xorm:"not null comment('名称') VARCHAR(64)"`
	ProjectId                  int       `xorm:"not null default 0 comment('项目ID') INT(11)"`
	Depth                      int       `xorm:"not null default 0 comment('深度') TINYINT(4)"`
	Serial                     int       `xorm:"not null default 0 comment('序号') TINYINT(4)"`
	Attribution                string    `xorm:"comment('归属') VARCHAR(32)"`
	Sort                       int       `xorm:"not null default 0 comment('排序') TINYINT(4)"`
	Isfolder                   int       `xorm:"not null default 1 comment('是否文件夹 1文件夹 0其他 1文件夹0其他') TINYINT(1)"`
	BidsectionId               int       `xorm:"comment('标段ID') INT(11)"`
	ParentId                   int       `xorm:"not null default 0 comment('父级ID') INT(11)"`
	Accounts                   int       `xorm:"not null default 0 comment('账号数') TINYINT(4)"`
	Contracts                  int       `xorm:"not null default 0 comment('合同数') TINYINT(4)"`
	ContractsIncome            string    `xorm:"not null default 0.00 comment('合同收入总金额') DECIMAL(12,2)"`
	ContractsReturned          string    `xorm:"not null default 0.00 comment('合同已收总金额') DECIMAL(12,2)"`
	ContractsPay               string    `xorm:"not null default 0.00 comment('合同支付总金额') DECIMAL(12,2)"`
	ContractsPaid              string    `xorm:"not null default 0.00 comment('合同已支付金额') DECIMAL(12,2)"`
	SafeTotal                  int       `xorm:"not null default 0 comment('安全巡检总数') TINYINT(4)"`
	SafeRectification          int       `xorm:"not null default 0 comment('安全巡检整改未') TINYINT(4)"`
	SafeRectificationIn        int       `xorm:"not null default 0 comment('安全巡检整改中') TINYINT(4)"`
	SafeRectificationFinish    int       `xorm:"not null default 0 comment('安全巡检整改完') TINYINT(4)"`
	QualityTotal               int       `xorm:"not null default 0 comment('质量总数') TINYINT(4)"`
	QualityRectification       int       `xorm:"not null default 0 comment('质量未整改') TINYINT(4)"`
	QualityRectificationIn     int       `xorm:"not null default 0 comment('质量整改中') TINYINT(4)"`
	QualityRectificationFinish int       `xorm:"not null default 0 comment('质量整改完') TINYINT(4)"`
	Isdelete                   int       `xorm:"not null default 0 comment('1删除') TINYINT(1)"`
	CreateTime                 time.Time `xorm:"comment('创建时间') DATETIME"`
	UpdateTime                 time.Time `xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') TIMESTAMP"`
}
